<!DOCTYPE html>

<html>
  <head>
  <meta charset='utf-8'>
  <title>TestNG reports</title>

    <link type="text/css" href="testng-reports.css" rel="stylesheet" />  
    <script type="text/javascript" src="jquery-1.7.1.min.js"></script>
    <script type="text/javascript" src="testng-reports.js"></script>
    <script type="text/javascript" src="https://www.google.com/jsapi"></script>
    <script type='text/javascript'>
      google.load('visualization', '1', {packages:['table']});
      google.setOnLoadCallback(drawTable);
      var suiteTableInitFunctions = new Array();
      var suiteTableData = new Array();
    </script>
    <!--
      <script type="text/javascript" src="jquery-ui/js/jquery-ui-1.8.16.custom.min.js"></script>
     -->
  </head>

  <body>
    <div class="top-banner-root">
      <span class="top-banner-title-font">Test results</span>
      <br/>
      <span class="top-banner-font-1">1 suite, 2 failed tests</span>
    </div> <!-- top-banner-root -->
    <div class="navigator-root">
      <div class="navigator-suite-header">
        <span>All suites</span>
        <a href="#" class="collapse-all-link" title="Collapse/expand all the suites">
          <img class="collapse-all-icon" src="collapseall.gif">
          </img> <!-- collapse-all-icon -->
        </a> <!-- collapse-all-link -->
      </div> <!-- navigator-suite-header -->
      <div class="suite">
        <div class="rounded-window">
          <div class="suite-header light-rounded-window-top">
            <a href="#" class="navigator-link" panel-name="suite-QAF_Demo">
              <span class="suite-name border-failed">QAF Demo</span>
            </a> <!-- navigator-link -->
          </div> <!-- suite-header light-rounded-window-top -->
          <div class="navigator-suite-content">
            <div class="suite-section-title">
              <span>Info</span>
            </div> <!-- suite-section-title -->
            <div class="suite-section-content">
              <ul>
                <li>
                  <a href="#" class="navigator-link " panel-name="test-xml-QAF_Demo">
                    <span>C:\Users\anchal.singh\Downloads\qaf-api\qaf-api\config\testrun_config.xml</span>
                  </a> <!-- navigator-link  -->
                </li>
                <li>
                  <a href="#" class="navigator-link " panel-name="testlist-QAF_Demo">
                    <span class="test-stats">2 tests</span>
                  </a> <!-- navigator-link  -->
                </li>
                <li>
                  <a href="#" class="navigator-link " panel-name="group-QAF_Demo">
                    <span>1 group</span>
                  </a> <!-- navigator-link  -->
                </li>
                <li>
                  <a href="#" class="navigator-link " panel-name="times-QAF_Demo">
                    <span>Times</span>
                  </a> <!-- navigator-link  -->
                </li>
                <li>
                  <a href="#" class="navigator-link " panel-name="reporter-QAF_Demo">
                    <span>Reporter output</span>
                  </a> <!-- navigator-link  -->
                </li>
                <li>
                  <a href="#" class="navigator-link " panel-name="ignored-methods-QAF_Demo">
                    <span>Ignored methods</span>
                  </a> <!-- navigator-link  -->
                </li>
                <li>
                  <a href="#" class="navigator-link " panel-name="chronological-QAF_Demo">
                    <span>Chronological view</span>
                  </a> <!-- navigator-link  -->
                </li>
              </ul>
            </div> <!-- suite-section-content -->
            <div class="result-section">
              <div class="suite-section-title">
                <span>Results</span>
              </div> <!-- suite-section-title -->
              <div class="suite-section-content">
                <ul>
                  <li>
                    <span class="method-stats">2 methods, 2 failed,   </span>
                  </li>
                  <li>
                    <span class="method-list-title failed">Failed methods</span>
                    <span class="show-or-hide-methods failed">
                      <a href="#" panel-name="suite-QAF_Demo" class="hide-methods failed suite-QAF_Demo"> (hide)</a> <!-- hide-methods failed suite-QAF_Demo -->
                      <a href="#" panel-name="suite-QAF_Demo" class="show-methods failed suite-QAF_Demo"> (show)</a> <!-- show-methods failed suite-QAF_Demo -->
                    </span>
                    <div class="method-list-content failed suite-QAF_Demo">
                      <span>
                        <img width="3%" src="failed.png"/>
                        <a href="#" class="method navigator-link" panel-name="suite-QAF_Demo" title="com.qmetry.qaf.automation.step.client.Scenario" hash-for-method="SampleTest">SampleTest</a> <!-- method navigator-link -->
                      </span>
                      <br/>
                      <span>
                        <img width="3%" src="failed.png"/>
                        <a href="#" class="method navigator-link" panel-name="suite-QAF_Demo" title="com.qmetry.qaf.example.test.SampleTest" hash-for-method="testGoogleSearch">testGoogleSearch</a> <!-- method navigator-link -->
                      </span>
                      <br/>
                    </div> <!-- method-list-content failed suite-QAF_Demo -->
                  </li>
                </ul>
              </div> <!-- suite-section-content -->
            </div> <!-- result-section -->
          </div> <!-- navigator-suite-content -->
        </div> <!-- rounded-window -->
      </div> <!-- suite -->
    </div> <!-- navigator-root -->
    <div class="wrapper">
      <div class="main-panel-root">
        <div panel-name="suite-QAF_Demo" class="panel QAF_Demo">
          <div class="suite-QAF_Demo-class-failed">
            <div class="main-panel-header rounded-window-top">
              <img src="failed.png"/>
              <span class="class-name">com.qmetry.qaf.automation.step.client.Scenario</span>
            </div> <!-- main-panel-header rounded-window-top -->
            <div class="main-panel-content rounded-window-bottom">
              <div class="method">
                <div class="method-content">
                  <a name="SampleTest">
                  </a> <!-- SampleTest -->
                  <span class="method-name">SampleTest</span>
                  <div class="stack-trace">org.openqa.selenium.TimeoutException: Timed out after 0 seconds: Unable to create driver instance in 1st attempt with retry timeout of 0 seconds. You can check/set value of &apos;driver.init.retry.timeout&apos; appropriately to set retry timeout on driver initialization failure.
	at .Given get &apos;/&apos;(scenarios/suite1.bdd:6)
	at com.qmetry.qaf.automation.ui.util.DynamicWait.until(DynamicWait.java:170)
	at com.qmetry.qaf.automation.core.QAFTestBase.init(QAFTestBase.java:474)
	at com.qmetry.qaf.automation.core.QAFTestBase.getUiDriver(QAFTestBase.java:254)
	at com.qmetry.qaf.automation.ui.WebDriverTestBase.getDriver(WebDriverTestBase.java:47)
	at com.qmetry.qaf.automation.step.CommonStep.get_aroundBody24(CommonStep.java:304)
	at com.qmetry.qaf.automation.step.JavaStepReporter.javaTestStep(JavaStepReporter.java:101)
	at com.qmetry.qaf.automation.step.CommonStep.get(CommonStep.java:303)
	at com.qmetry.qaf.automation.step.JavaStep.doExecute(JavaStep.java:153)
	at com.qmetry.qaf.automation.step.BaseTestStep.execute(BaseTestStep.java:149)
	at com.qmetry.qaf.automation.step.StringTestStep.execute(StringTestStep.java:134)
	at com.qmetry.qaf.automation.step.client.Scenario.execute(Scenario.java:180)
	at com.qmetry.qaf.automation.step.client.Scenario.scenario(Scenario.java:232)
Caused by: org.openqa.selenium.WebDriverException: Unable to create driver instance in 1st attempt with retry timeout of 0 seconds. You can check/set value of &apos;driver.init.retry.timeout&apos; appropriately to set retry timeout on driver initialization failure.
Build info: version: &apos;3.141.59&apos;, revision: &apos;e82be7d358&apos;, time: &apos;2018-11-14T08:17:03&apos;
System info: host: &apos;ICPL13128&apos;, ip: &apos;10.12.91.16&apos;, os.name: &apos;Windows 10&apos;, os.arch: &apos;amd64&apos;, os.version: &apos;10.0&apos;, java.version: &apos;1.8.0_261&apos;
Driver info: driver.version: unknown
	at com.qmetry.qaf.automation.core.QAFTestBase$DriverInitExpectedCondition.apply(QAFTestBase.java:568)
	at com.qmetry.qaf.automation.core.QAFTestBase$DriverInitExpectedCondition.apply(QAFTestBase.java:1)
	at com.qmetry.qaf.automation.ui.util.DynamicWait.until(DynamicWait.java:149)
	at com.qmetry.qaf.automation.core.QAFTestBase.init(QAFTestBase.java:474)
	at com.qmetry.qaf.automation.core.QAFTestBase.getUiDriver(QAFTestBase.java:254)
	at com.qmetry.qaf.automation.ui.WebDriverTestBase.getDriver(WebDriverTestBase.java:47)
	at com.qmetry.qaf.automation.step.CommonStep.get_aroundBody24(CommonStep.java:304)
	at com.qmetry.qaf.automation.step.CommonStep$AjcClosure25.run(CommonStep.java:1)
	at com.qmetry.qaf.automation.step.JavaStepReporter.javaTestStep(JavaStepReporter.java:101)
	at com.qmetry.qaf.automation.step.CommonStep.get(CommonStep.java:303)
	at com.qmetry.qaf.automation.step.JavaStep.doExecute(JavaStep.java:153)
	at com.qmetry.qaf.automation.step.BaseTestStep.execute(BaseTestStep.java:149)
	at com.qmetry.qaf.automation.step.StringTestStep.execute(StringTestStep.java:134)
	at com.qmetry.qaf.automation.step.client.Scenario.execute(Scenario.java:180)
	at com.qmetry.qaf.automation.step.client.Scenario.scenario(Scenario.java:232)
	... 7 more
Caused by: com.qmetry.qaf.automation.core.AutomationError: Driver file not exist.
	at com.qmetry.qaf.automation.ui.webdriver.ChromeDriverHelper.createAndStartService(ChromeDriverHelper.java:51)
	at com.qmetry.qaf.automation.ui.webdriver.ChromeDriverHelper.getService(ChromeDriverHelper.java:89)
	at com.qmetry.qaf.automation.ui.UiDriverFactory$Browsers.getDriver(UiDriverFactory.java:413)
	at com.qmetry.qaf.automation.ui.UiDriverFactory$Browsers.access$5(UiDriverFactory.java:406)
	at com.qmetry.qaf.automation.ui.UiDriverFactory.getDriver(UiDriverFactory.java:221)
	at com.qmetry.qaf.automation.ui.UiDriverFactory.get(UiDriverFactory.java:94)
	at com.qmetry.qaf.automation.core.QAFTestBase$DriverInitExpectedCondition.apply(QAFTestBase.java:564)
	... 48 more
... Removed 34 stack frames
</div> <!-- stack-trace -->
                  <em>
(Sample Test Scenario)                  </em>
                </div> <!-- method-content -->
              </div> <!-- method -->
            </div> <!-- main-panel-content rounded-window-bottom -->
          </div> <!-- suite-QAF_Demo-class-failed -->
          <div class="suite-QAF_Demo-class-failed">
            <div class="main-panel-header rounded-window-top">
              <img src="failed.png"/>
              <span class="class-name">com.qmetry.qaf.example.test.SampleTest</span>
            </div> <!-- main-panel-header rounded-window-top -->
            <div class="main-panel-content rounded-window-bottom">
              <div class="method">
                <div class="method-content">
                  <a name="testGoogleSearch">
                  </a> <!-- testGoogleSearch -->
                  <span class="method-name">testGoogleSearch</span>
                  <div class="stack-trace">org.openqa.selenium.TimeoutException: Timed out after 0 seconds: Unable to create driver instance in 1st attempt with retry timeout of 0 seconds. You can check/set value of &apos;driver.init.retry.timeout&apos; appropriately to set retry timeout on driver initialization failure.
	at com.qmetry.qaf.automation.ui.util.DynamicWait.until(DynamicWait.java:170)
	at com.qmetry.qaf.automation.core.QAFTestBase.init(QAFTestBase.java:474)
	at com.qmetry.qaf.automation.core.QAFTestBase.getUiDriver(QAFTestBase.java:254)
	at com.qmetry.qaf.automation.ui.WebDriverTestBase.getDriver(WebDriverTestBase.java:47)
	at com.qmetry.qaf.automation.step.CommonStep.get_aroundBody24(CommonStep.java:304)
	at com.qmetry.qaf.automation.step.CommonStep$AjcClosure25.run(CommonStep.java:1)
	at com.qmetry.qaf.automation.step.JavaStepReporter$MockJavaStep.doExecute(JavaStepReporter.java:138)
	at com.qmetry.qaf.automation.step.BaseTestStep.execute(BaseTestStep.java:149)
	at com.qmetry.qaf.automation.step.JavaStepReporter.javaTestStep(JavaStepReporter.java:88)
	at com.qmetry.qaf.automation.step.CommonStep.get(CommonStep.java:303)
	at com.qmetry.qaf.example.test.SampleTest.testGoogleSearch(SampleTest.java:14)
Caused by: org.openqa.selenium.WebDriverException: Unable to create driver instance in 1st attempt with retry timeout of 0 seconds. You can check/set value of &apos;driver.init.retry.timeout&apos; appropriately to set retry timeout on driver initialization failure.
Build info: version: &apos;3.141.59&apos;, revision: &apos;e82be7d358&apos;, time: &apos;2018-11-14T08:17:03&apos;
System info: host: &apos;ICPL13128&apos;, ip: &apos;10.12.91.16&apos;, os.name: &apos;Windows 10&apos;, os.arch: &apos;amd64&apos;, os.version: &apos;10.0&apos;, java.version: &apos;1.8.0_261&apos;
Driver info: driver.version: unknown
	at com.qmetry.qaf.automation.core.QAFTestBase$DriverInitExpectedCondition.apply(QAFTestBase.java:568)
	at com.qmetry.qaf.automation.core.QAFTestBase$DriverInitExpectedCondition.apply(QAFTestBase.java:1)
	at com.qmetry.qaf.automation.ui.util.DynamicWait.until(DynamicWait.java:149)
	... 40 more
Caused by: com.qmetry.qaf.automation.core.AutomationError: Driver file not exist.
	at com.qmetry.qaf.automation.ui.webdriver.ChromeDriverHelper.createAndStartService(ChromeDriverHelper.java:51)
	at com.qmetry.qaf.automation.ui.webdriver.ChromeDriverHelper.getService(ChromeDriverHelper.java:89)
	at com.qmetry.qaf.automation.ui.UiDriverFactory$Browsers.getDriver(UiDriverFactory.java:413)
	at com.qmetry.qaf.automation.ui.UiDriverFactory$Browsers.access$5(UiDriverFactory.java:406)
	at com.qmetry.qaf.automation.ui.UiDriverFactory.getDriver(UiDriverFactory.java:221)
	at com.qmetry.qaf.automation.ui.UiDriverFactory.get(UiDriverFactory.java:94)
	at com.qmetry.qaf.automation.core.QAFTestBase$DriverInitExpectedCondition.apply(QAFTestBase.java:564)
	... 42 more
... Removed 30 stack frames
</div> <!-- stack-trace -->
                </div> <!-- method-content -->
              </div> <!-- method -->
            </div> <!-- main-panel-content rounded-window-bottom -->
          </div> <!-- suite-QAF_Demo-class-failed -->
        </div> <!-- panel QAF_Demo -->
        <div panel-name="test-xml-QAF_Demo" class="panel">
          <div class="main-panel-header rounded-window-top">
            <span class="header-content">C:\Users\anchal.singh\Downloads\qaf-api\qaf-api\config\testrun_config.xml</span>
          </div> <!-- main-panel-header rounded-window-top -->
          <div class="main-panel-content rounded-window-bottom">
            <pre>
&lt;?xml version=&quot;1.0&quot; encoding=&quot;UTF-8&quot;?&gt;
&lt;!DOCTYPE suite SYSTEM &quot;http://testng.org/testng-1.0.dtd&quot;&gt;
&lt;suite guice-stage=&quot;DEVELOPMENT&quot; verbose=&quot;0&quot; name=&quot;QAF Demo&quot;&gt;
  &lt;test name=&quot;BDD Test&quot;&gt;
    &lt;classes&gt;
      &lt;class name=&quot;com.qmetry.qaf.automation.step.client.text.BDDTestFactory&quot;/&gt;
    &lt;/classes&gt;
  &lt;/test&gt; &lt;!-- BDD Test --&gt;
  &lt;test name=&quot;java Test&quot;&gt;
    &lt;classes&gt;
      &lt;class name=&quot;com.qmetry.qaf.example.test.SampleTest&quot;/&gt;
    &lt;/classes&gt;
  &lt;/test&gt; &lt;!-- java Test --&gt;
&lt;/suite&gt; &lt;!-- QAF Demo --&gt;
            </pre>
          </div> <!-- main-panel-content rounded-window-bottom -->
        </div> <!-- panel -->
        <div panel-name="testlist-QAF_Demo" class="panel">
          <div class="main-panel-header rounded-window-top">
            <span class="header-content">Tests for QAF Demo</span>
          </div> <!-- main-panel-header rounded-window-top -->
          <div class="main-panel-content rounded-window-bottom">
            <ul>
              <li>
                <span class="test-name">BDD Test (1 class)</span>
              </li>
              <li>
                <span class="test-name">java Test (1 class)</span>
              </li>
            </ul>
          </div> <!-- main-panel-content rounded-window-bottom -->
        </div> <!-- panel -->
        <div panel-name="group-QAF_Demo" class="panel">
          <div class="main-panel-header rounded-window-top">
            <span class="header-content">Groups for QAF Demo</span>
          </div> <!-- main-panel-header rounded-window-top -->
          <div class="main-panel-content rounded-window-bottom">
            <div class="test-group">
              <span class="test-group-name">SMOKE</span>
              <br/>
              <div class="method-in-group">
                <span class="method-in-group-name">SampleTest</span>
                <br/>
              </div> <!-- method-in-group -->
            </div> <!-- test-group -->
          </div> <!-- main-panel-content rounded-window-bottom -->
        </div> <!-- panel -->
        <div panel-name="times-QAF_Demo" class="panel">
          <div class="main-panel-header rounded-window-top">
            <span class="header-content">Times for QAF Demo</span>
          </div> <!-- main-panel-header rounded-window-top -->
          <div class="main-panel-content rounded-window-bottom">
            <div class="times-div">
              <script type="text/javascript">
suiteTableInitFunctions.push('tableData_QAF_Demo');
function tableData_QAF_Demo() {
var data = new google.visualization.DataTable();
data.addColumn('number', 'Number');
data.addColumn('string', 'Method');
data.addColumn('string', 'Class');
data.addColumn('number', 'Time (ms)');
data.addRows(2);
data.setCell(0, 0, 0)
data.setCell(0, 1, 'SampleTest')
data.setCell(0, 2, 'com.qmetry.qaf.automation.step.client.Scenario')
data.setCell(0, 3, 309);
data.setCell(1, 0, 1)
data.setCell(1, 1, 'testGoogleSearch')
data.setCell(1, 2, 'com.qmetry.qaf.example.test.SampleTest')
data.setCell(1, 3, 3);
window.suiteTableData['QAF_Demo']= { tableData: data, tableDiv: 'times-div-QAF_Demo'}
return data;
}
              </script>
              <span class="suite-total-time">Total running time: 312 ms</span>
              <div id="times-div-QAF_Demo">
              </div> <!-- times-div-QAF_Demo -->
            </div> <!-- times-div -->
          </div> <!-- main-panel-content rounded-window-bottom -->
        </div> <!-- panel -->
        <div panel-name="reporter-QAF_Demo" class="panel">
          <div class="main-panel-header rounded-window-top">
            <span class="header-content">Reporter output for QAF Demo</span>
          </div> <!-- main-panel-header rounded-window-top -->
          <div class="main-panel-content rounded-window-bottom">
            <div class="reporter-method-div">
              <span class="reporter-method-name">SampleTest</span>
              <div class="reporter-method-output-div">
                <span class="reporter-method-output"><div style="display:block;margin-left:10px;"><div  class="teststepfail"><span class="teststepfail-label">T </span>Given get '/'</div><div style="display:block;margin-left:10px;"><div  class="fail"><span class="fail-label">F </span>Timed out after 0 seconds: Unable to create driver instance in 1st attempt with retry timeout of 0 seconds. You can check/set value of 'driver.init.retry.timeout' appropriately to set retry timeout on driver initialization failure.</div></div><div  class="teststep"><span class="teststep-label">T </span>When search for 'qaf github infostretch'</div><div  class="teststep"><span class="teststep-label">T </span>Then verify link with partial text 'qaf' is present</div></div></span>
              </div> <!-- reporter-method-output-div -->
            </div> <!-- reporter-method-div -->
            <div class="reporter-method-div">
              <span class="reporter-method-name">testGoogleSearch</span>
              <div class="reporter-method-output-div">
                <span class="reporter-method-output"><div style="display:block;margin-left:10px;"><div  class="teststepfail"><span class="teststepfail-label">T </span>get '/'</div><div style="display:block;margin-left:10px;"><div  class="fail"><span class="fail-label">F </span>org.openqa.selenium.TimeoutException: Timed out after 0 seconds: Unable to create driver instance in 1st attempt with retry timeout of 0 seconds. You can check/set value of 'driver.init.retry.timeout' appropriately to set retry timeout on driver initialization failure.</div></div></div></span>
              </div> <!-- reporter-method-output-div -->
            </div> <!-- reporter-method-div -->
          </div> <!-- main-panel-content rounded-window-bottom -->
        </div> <!-- panel -->
        <div panel-name="ignored-methods-QAF_Demo" class="panel">
          <div class="main-panel-header rounded-window-top">
            <span class="header-content">0 ignored methods</span>
          </div> <!-- main-panel-header rounded-window-top -->
          <div class="main-panel-content rounded-window-bottom">
          </div> <!-- main-panel-content rounded-window-bottom -->
        </div> <!-- panel -->
        <div panel-name="chronological-QAF_Demo" class="panel">
          <div class="main-panel-header rounded-window-top">
            <span class="header-content">Methods in chronological order</span>
          </div> <!-- main-panel-header rounded-window-top -->
          <div class="main-panel-content rounded-window-bottom">
            <div class="chronological-class">
              <div class="chronological-class-name">com.qmetry.qaf.example.test.SampleTest</div> <!-- chronological-class-name -->
              <div class="configuration-suite before">
                <span class="method-name">setupSuit(org.testng.TestRunner@78b729e6)</span>
                <span class="method-start">0 ms</span>
              </div> <!-- configuration-suite before -->
            </div> <!-- chronological-class -->
            <div class="chronological-class">
              <div class="chronological-class-name">com.qmetry.qaf.automation.step.client.Scenario</div> <!-- chronological-class-name -->
              <div class="configuration-test before">
                <span class="method-name">setupTest(org.testng.TestRunner@1df82230)</span>
                <span class="method-start">25 ms</span>
              </div> <!-- configuration-test before -->
              <div class="configuration-class before">
                <span class="method-name">setup(org.testng.TestRunner@1df82230)</span>
                <span class="method-start">30 ms</span>
              </div> <!-- configuration-class before -->
              <div class="configuration-method before">
                <span class="method-name">setupMethod(public void com.qmetry.qaf.automation.step.client.Scenario.scenario(), org.testng.TestRunner@1df8223...)</span>
                <span class="method-start">36 ms</span>
              </div> <!-- configuration-method before -->
              <div class="test-method">
                <img src="failed.png">
                </img>
                <span class="method-name">SampleTest</span>
                <span class="method-start">36 ms</span>
              </div> <!-- test-method -->
              <div class="configuration-method after">
                <span class="method-name">afterMethod(org.testng.TestRunner@1df82230, [TestResult name=SampleTest status=FAILURE method=scenarios.suite1.b...)</span>
                <span class="method-start">379 ms</span>
              </div> <!-- configuration-method after -->
              <div class="configuration-class after">
                <span class="method-name">afterClass(org.testng.TestRunner@1df82230)</span>
                <span class="method-start">380 ms</span>
              </div> <!-- configuration-class after -->
              <div class="configuration-test after">
                <span class="method-name">afterTest(org.testng.TestRunner@1df82230)</span>
                <span class="method-start">382 ms</span>
              </div> <!-- configuration-test after -->
            </div> <!-- chronological-class -->
            <div class="chronological-class">
              <div class="chronological-class-name">com.qmetry.qaf.example.test.SampleTest</div> <!-- chronological-class-name -->
              <div class="configuration-test before">
                <span class="method-name">setupTest(org.testng.TestRunner@78b729e6)</span>
                <span class="method-start">409 ms</span>
              </div> <!-- configuration-test before -->
              <div class="configuration-class before">
                <span class="method-name">setup(org.testng.TestRunner@78b729e6)</span>
                <span class="method-start">410 ms</span>
              </div> <!-- configuration-class before -->
              <div class="configuration-method before">
                <span class="method-name">setupMethod(public void com.qmetry.qaf.example.test.SampleTest.testGoogleSearch(), org.testng.TestRunner@78b729e...)</span>
                <span class="method-start">411 ms</span>
              </div> <!-- configuration-method before -->
              <div class="test-method">
                <img src="failed.png">
                </img>
                <span class="method-name">testGoogleSearch</span>
                <span class="method-start">411 ms</span>
              </div> <!-- test-method -->
              <div class="configuration-method after">
                <span class="method-name">afterMethod(org.testng.TestRunner@78b729e6, [TestResult name=testGoogleSearch status=FAILURE method=SampleTest.t...)</span>
                <span class="method-start">423 ms</span>
              </div> <!-- configuration-method after -->
              <div class="configuration-class after">
                <span class="method-name">afterClass(org.testng.TestRunner@78b729e6)</span>
                <span class="method-start">424 ms</span>
              </div> <!-- configuration-class after -->
              <div class="configuration-test after">
                <span class="method-name">afterTest(org.testng.TestRunner@78b729e6)</span>
                <span class="method-start">425 ms</span>
              </div> <!-- configuration-test after -->
              <div class="configuration-suite after">
                <span class="method-name">afterSuit(org.testng.TestRunner@78b729e6)</span>
                <span class="method-start">438 ms</span>
              </div> <!-- configuration-suite after -->
          </div> <!-- main-panel-content rounded-window-bottom -->
        </div> <!-- panel -->
      </div> <!-- main-panel-root -->
    </div> <!-- wrapper -->
  </body>
</html>
